local addon, ns = ...

local bar = G13MainBar
bar:SetSize(298, 172)

--This may no longer be necessary
--MultiBarBottomLeft:SetParent(bar)
--MultiBarBottomLeft:EnableMouse(false)
--MainMenuBarArtFrame:SetParent(bar)
--MainMenuBarArtFrame:EnableMouse(false)

--This lets us hide our bar frame correctly during vehicle use and pet battles
--RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

--Each of these simply drops the first button of eacch bar into position and the 
--others then fall into place after them nicely.
MultiBarBottomLeftButton1:ClearAllPoints()
MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", bar, 5, 131)

ActionButton1:ClearAllPoints()
ActionButton1:SetPoint("BOTTOMLEFT", bar, 5, 89)

ActionButton8:ClearAllPoints()
ActionButton8:SetPoint("BOTTOMLEFT", bar, 47, 47)

MultiBarBottomLeftButton8:ClearAllPoints()
MultiBarBottomLeftButton8:SetPoint("BOTTOMLEFT", bar, 89, 5)

MultiBarBottomLeftButton11:ClearAllPoints()
MultiBarBottomLeftButton12:ClearAllPoints()

--This is to reposition the Vehicle Exit button.
--We call it from the secure hook below so that 
--when the Blizzard UI repositions it, we put it
--back where we want it.
local function PositionVehicleLeaveButton()
	MainMenuBarVehicleLeaveButton:ClearAllPoints()
	MainMenuBarVehicleLeaveButton:SetPoint("BOTTOMRIGHT", bar, "TOPRIGHT", -3, 0)
end

hooksecurefunc("MainMenuBarVehicleLeaveButton_Update", function() 
	PositionVehicleLeaveButton() 
end)